---
layout: post
comments: true
title: "Getting support with Matrix"
category: [english]
tags: [Matrix, support, help]
redirect_from:
  - /matrixhelp.html
  - /matrixsupport.html
---

*Matrix has many clients and servers and other projects and finding the
 right place to ask a question can be difficult.*

I originally wanted to contribute this post to [official Matrix
documentation], but found it too difficult to fit myself into their
[documentation style guide], so I am typing this into my blog and linking
[here](/matrixhelp.html) while hoping for the [official Matrix documentation]
to replace this in the future.

[official Matrix documentation]:https://github.com/matrix-org/matrix-doc
[documentation style guide]:https://github.com/matrix-org/matrix-doc/blob/master/CONTRIBUTING.rst

## General

The main Matrix room is `#matrix:matrix.org`, but it's a little busy and
it can be easier to ask in more specific room where you are often directed
to. It's bridged to `#matrix` at freenode.

## Clients

Riot support lives in three rooms depending on your platform:

* `#riot:matrix.org` is for Riot Web/Desktop.
* `#riot-android:matrix.org` is for Riot Android.
* `#ios:matrix.org` is for Riot iOS.

Other rooms exist for other clients:

* `#matrix-ircd:matrix.org` for Matrix IRCd, a gateway for IRC clients
    * Replaced PTO.
* `#nachat:matrix.org` for NaChat
* `#tensor:matrix.org` for Tensor
* `#quaternion:matrix.org` for Quaternion (and libqmatrixclient)
* `#weechat:hveem.no` for WeeChat matrix.lua script
    * matrix.org address: `#weechat:matrix.org`
    * Not to be confused with `#freenode_#weechat:matrix.org` which is
      for the WeeChat IRC client itself.

And while they are not clients, I think they should be mentioned:

* `#e2e:matrix.org` for End-to-end crypto in Matrix
* `#megolm:matrix.org` for end-to-end-encryption test
    * Main address not set, so I am using the matrix.org one.

## Bridges & Integrations

Room for 3rd party network bridging in general is `#bridges:matrix.org`
which is also bridged to
[matrix-org/bridging at Gitter](https://gitter.im/matrix-org/bridging).
I think some bridges such as Gitter/Slack live there (please correct me if
I am wrong!).

The bridges I know to have their own rooms are:

* `#irc:matrix.org` for the IRC bridge
    * [End-user FAQ], bridged to `#matrix-irc` at freenode.
* `#twitter:half-shot.uk` for the Twitter bridge
    * matrix.org alias `#twitter:matrix.org`
* `#telematrix:matrix.org` for the Telegram bridge
    * Doesn't have primary address set, so I take the matrix.org one.

[End-user FAQ]:https://github.com/matrix-org/matrix-appservice-irc/wiki/End-user-FAQ

Integrations live at `#neb:matrix.org` which appears to be very little
known even to people who have been using Matrix for a long time.

## Servers

I haven't been following server-side so much as I am afraid of the heavy
RAM-requirement, but the rooms I am aware of are:

* `#synapse:matrix.org` for unofficial Synapse support, but at the time of
  typing they suggest you to ask questions in `#matrix:matrix.org`.
* `#ruma:matrix.org` for Ruma

* * * * *

[Source of this page, pull request welcome!](https://github.com/Mikaela/mikaela.github.io/blob/master/_posts/2017-01-03-matrix-getting-support.md)

* * * * *
